package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 客商类型
 */
@AllArgsConstructor
@Getter
public enum ESupplierType {

    /**
     * 1=内部供应商 2=外部供应商 3=内部客户 4=外部客户
     */
    INNER_SUPPLIER(1, "内部供应商", 0, EnumsPrefixConstants.SUPPLIER_TYPE + 1),

    OUT_SUPPLIER(2, "外部供应商", 0, EnumsPrefixConstants.SUPPLIER_TYPE + 2),

    INNER_CUSTOMER(3, "内部客户", 0, EnumsPrefixConstants.SUPPLIER_TYPE + 3),

    OUT_CUSTOMER(4, "外部客户", 0, EnumsPrefixConstants.SUPPLIER_TYPE + 4),

    MEMBER_CUSTOMER(5, "人员客户", 0, EnumsPrefixConstants.SUPPLIER_TYPE + 5);

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    /**
     * 国际化翻译key值
     */
    private final String key;

}
